ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Raul Kripalani <ra...@apache.org>
Subject Re: EA versioning
Date Tue, 01 Dec 2015 16:45:50 GMT
Let me synthesise:

* 1.5.0-ea, 1.5.0 => comparison result is off in Maven, because "ea" is not
a well-known qualifier [0] to Maven, therefore it is thought higher than no
qualifier. Same goes with 1.5.0-ea, 1.5.0-final.
* 1.5.0-b1, 1.5.0 => mismatch between Maven and OSGi [1], because while
Maven treats b1 as a known qualifier, OSGi treats it lexicographically.
* 1.5.0-b1, 1.5.0-final => would work for both Maven and OSGi [2].

I'm in favour of the following scheme: 1.5.0-a1, 1.5.0-b2, 1.5.0-final,
1.5.0-sp1.

Explicitly prohibiting the following because they are previous to "final",
but they'd be considered newer by OSGi due to lexicographic evaluation:

 * 1.5.0-rc1
 * 1.5.0-m1

We do have an edge case with snapshot, which is older than final, but it'd
always be considered newer by OSGi. I don't think it's a big deal, though.

With this (now well-) defined scheme, I would be happy to publish alphas,
betas and service packs to Maven Central.

If you'd like to continue chatting, I'm in Gitter:
https://gitter.im/apacheignite/ignite.

[0]
https://github.com/apache/maven/blob/master/maven-artifact/src/main/java/org/apache/maven/artifact/versioning/ComparableVersion.java
[1] https://versionatorr.appspot.com/?a=1.5.0&b=1.5.0-b1
[2] https://versionatorr.appspot.com/?a=1.5.0-b1&b=1.5.0-final

*Raúl Kripalani*
PMC & Committer @ Apache Ignite, Apache Camel | Integration, Big Data and
Messaging Engineer
http://about.me/raulkripalani | http://www.linkedin.com/in/raulkripalani
http://blog.raulkr.net | twitter: @raulvk

On Tue, Dec 1, 2015 at 4:13 PM, Sergi Vladykin <sergi.vladykin@gmail.com>
wrote:

> Raul,
>
> This is how Maven works, exactly because of that we want to switch to
> 1.5.0-b1 instead of 1.5.0-ea
>
> 1.5.0 > 1.5.0-b1
>
> Sergi
>
> 2015-12-01 19:06 GMT+03:00 Raul Kripalani <raulk@apache.org>:
>
> > On Tue, Dec 1, 2015 at 3:33 PM, Yakov Zhdanov <yzhdanov@apache.org>
> wrote:
> >
> > > 1.5.0-ea > 1.5.0
> >
> >
> > Am I the only one to whom this sounds wrong?
> >
> > *Raúl Kripalani*
> > PMC & Committer @ Apache Ignite, Apache Camel | Integration, Big Data and
> > Messaging Engineer
> > http://about.me/raulkripalani | http://www.linkedin.com/in/raulkripalani
> > http://blog.raulkr.net | twitter: @raulvk
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message